


cd "R:\Milner\Milner\AID\AID vote paper\ReplicationFiles"
clear
set memory 400m
use MilnerTingley_ForeignAid_EconPol.dta, clear



*TABLE 1
estimates clear
qui xi: xtprobit  rc_vote highskillpcnt       i.VoteID  if FECproblems~=1 & votetype==0 , pa robust
est store AM1
qui xi: xtprobit  rc_vote highskillpcnt PrezVotePercRepub       i.VoteID  if FECproblems~=1 & votetype==0 , pa robust
est store AM2
qui xi: xtprobit  rc_vote highskillpcnt dwnom_1_      i.VoteID  if FECproblems~=1 & votetype==0 , pa robust
est store AM3
qui xi: xtprobit  rc_vote highskillpcnt dwnom_1_   Wdummy MWdummy  southdummy    i.VoteID  if FECproblems~=1 & votetype==0 , pa robust
est store AM4
qui xi: xtprobit  rc_vote  lnCapitaltemp2DigEstab33ES lnEmployManuf    Wdummy MWdummy  southdummy  PrezVotePercRepub i.VoteID  if FECproblems~=1 & votetype==0 & session>95, pa robust
est store AM5
qui xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezVotePercRepub PrezSuppSamePty_new   unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII  i.VoteID  if FECproblems~=1 & votetype==0 , pa robust
est store AM6
qui xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ dwnom_1_ PrezSuppSamePty_new   unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack  MktValAgProdII i.VoteID  if FECproblems~=1 & votetype==0 , pa robust
est store AM7
qui xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezVotePercRepub PrezSuppSamePty_new   unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII  i.VoteID  if FECproblems~=1 & votetype==0 , pa robust
est store AM8
qui xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ dwnom_1_ PrezSuppSamePty_new     MktValAgProdII Wdummy MWdummy  southdummy unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack cathad_adhperc jewad_adhperc mainad_adhperc evanad_adhperc i.VoteID  if FECproblems~=1 & votetype==0 , pa robust
est store AM9
qui xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezVotePercRepub  PrezSuppSamePty_new    MktValAgProdII Wdummy MWdummy  southdummy unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack cathad_adhperc jewad_adhperc mainad_adhperc evanad_adhperc i.VoteID  if FECproblems~=1 & votetype==0 , pa robust
est store AM10
local order "order(highskillpcnt  lnCapitaltemp2DigEstab33ES lnEmployManuf   PrezVotePercRepub dwnom_1_ PrezSuppSamePty_new  Wdummy MWdummy  southdummy bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII)" 
esta AM*  using "Aid_Models_HighFocus.doc" , drop(_I*) title("High Focus Economic Aid Votes") starlevels(+ 0.10 * 0.05 ** 0.01)  se(%8.2f) `order'  nom nonum nodep nogaps  b(%8.2f)  label brackets  compress replace

*TABLE 2
estimates clear
qui {
foreach k of numlist  3 4 7 11 {
display "`k'"
xi: xtprobit rc_vote highskillpcnt pcntForBorn avg_UnemployChange2yr  PrezVotePercRepub PrezSuppSamePty_new  MktValAgProdII bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_    unemployedpcnt lnmdincm pcntBlack  i.VoteID  if FECproblems~=1 & votetype==`k'  , pa robust    
est store type`k'_1
xi: xtprobit rc_vote highskillpcnt pcntForBorn avg_UnemployChange2yr  dwnom_1_ PrezSuppSamePty_new  MktValAgProdII bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_    unemployedpcnt lnmdincm pcntBlack  i.VoteID  if FECproblems~=1 & votetype==`k'  , pa robust    
est store type`k'_2
}
}
local order "order(highskillpcnt   PrezVotePercRepub dwnom_1_ PrezSuppSamePty_new   bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_     unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII   )"
esta  type4* type7* type3* type11* using "Aid_LowSalFinalFoodMil.doc" , title("Aid Votes: Panel Probit with Population Average Effects and Vote Fixed Effects (omitted)") starlevels(+ 0.10 * 0.05 ** 0.01)  se `order' drop(_I*) nom nonum nodep nogaps  b(a3)  label brackets  compress replace



*Table 3 Substantive Effects
preserve
foreach k of numlist 0 3 4 7 11 {
qui xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezVotePercRepub    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII PrezSuppSamePty_new  i.VoteID  if FECproblems~=1 & votetype==`k' , pa robust
foreach var of varlist highskillpcnt     bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezVotePercRepub    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn   pcntBlack MktValAgProdII {
capture drop mean`var'
capture drop sd`var'
summ `var' if e(sample) 
gen mean`var'=r(mean) if e(sample)
gen sd`var'=r(sd) if e(sample)
}
*this model is model 6 from our table.
#delim ;
gen allVarsatMean_AID_`k' = normal(_b[_cons] + _b[bankPACpcntPAC_3_]*meanbankPACpcntPAC_3_  +  _b[labPACpcntPAC_3_]*meanlabPACpcntPAC_3_ +  
_b[corpPACpcntPAC_3_]*meancorpPACpcntPAC_3_ +  _b[highskillpcnt]*meanhighskillpcnt + _b[unemployedpcnt]*meanunemployedpcnt
+ _b[lnmdincm]*meanlnmdincm + _b[pcntForBorn]*meanpcntForBorn+ _b[pcntBlack]*meanpcntBlack + _b[PrezVotePercRepub]*meanPrezVotePercRepub +_b[avg_UnemployChange2yr]*meanavg_UnemployChange2yr +   _b[MktValAgProdII]*meanMktValAgProdII)  if e(sample) ;
#delimit cr

*this calculates the impact of the var by increasing each variable its standard deviation
#delim ;
gen allVarsatMeanBankSD_AID_`k' = normal(_b[_cons] + _b[bankPACpcntPAC_3_]*(meanbankPACpcntPAC_3_+sdbankPACpcntPAC_3_)  +  _b[labPACpcntPAC_3_]*meanlabPACpcntPAC_3_ +  
_b[corpPACpcntPAC_3_]*meancorpPACpcntPAC_3_ + _b[highskillpcnt]*meanhighskillpcnt + _b[unemployedpcnt]*meanunemployedpcnt
+ _b[lnmdincm]*meanlnmdincm + _b[pcntForBorn]*meanpcntForBorn+ _b[pcntBlack]*meanpcntBlack + _b[PrezVotePercRepub]*meanPrezVotePercRepub +_b[avg_UnemployChange2yr]*meanavg_UnemployChange2yr +   _b[MktValAgProdII]*meanMktValAgProdII)  if e(sample) ;
#delimit cr

#delim ;
gen allVarsatMeanLaborSD_AID_`k' = normal(_b[_cons] + _b[bankPACpcntPAC_3_]*meanbankPACpcntPAC_3_  +  _b[labPACpcntPAC_3_]*(meanlabPACpcntPAC_3_ +sdlabPACpcntPAC_3_)+  
_b[corpPACpcntPAC_3_]*meancorpPACpcntPAC_3_ + _b[highskillpcnt]*meanhighskillpcnt + _b[unemployedpcnt]*meanunemployedpcnt
+ _b[lnmdincm]*meanlnmdincm + _b[pcntForBorn]*meanpcntForBorn+ _b[pcntBlack]*meanpcntBlack + _b[PrezVotePercRepub]*meanPrezVotePercRepub + _b[avg_UnemployChange2yr]*meanavg_UnemployChange2yr +  _b[MktValAgProdII]*meanMktValAgProdII)  if e(sample) ;
#delimit cr

#delim ;
gen allVarsatMeanSkillSD_AID_`k' = normal(_b[_cons] + _b[bankPACpcntPAC_3_]*meanbankPACpcntPAC_3_  +  _b[labPACpcntPAC_3_]*meanlabPACpcntPAC_3_+  
_b[corpPACpcntPAC_3_]*meancorpPACpcntPAC_3_ +  _b[highskillpcnt]*(meanhighskillpcnt+sdhighskillpcnt) + _b[unemployedpcnt]*meanunemployedpcnt
+ _b[lnmdincm]*meanlnmdincm + _b[pcntForBorn]*meanpcntForBorn+ _b[pcntBlack]*meanpcntBlack + _b[PrezVotePercRepub]*meanPrezVotePercRepub + _b[avg_UnemployChange2yr]*meanavg_UnemployChange2yr +  _b[MktValAgProdII]*meanMktValAgProdII)  if e(sample) ;
#delimit cr

#delim ;
gen allVarsatMeanDistIdeoSD_AID_`k' = normal(_b[_cons] + _b[bankPACpcntPAC_3_]*meanbankPACpcntPAC_3_  +  _b[labPACpcntPAC_3_]*meanlabPACpcntPAC_3_+  
_b[corpPACpcntPAC_3_]*meancorpPACpcntPAC_3_ + _b[highskillpcnt]*meanhighskillpcnt + _b[unemployedpcnt]*meanunemployedpcnt
+ _b[lnmdincm]*meanlnmdincm + _b[pcntForBorn]*meanpcntForBorn+ _b[pcntBlack]*meanpcntBlack + _b[PrezVotePercRepub]*(meanPrezVotePercRepub+sdPrezVotePercRepub) +_b[avg_UnemployChange2yr]*meanavg_UnemployChange2yr +   _b[MktValAgProdII]*meanMktValAgProdII)  if e(sample) ;
#delimit cr


gen BankSDAID_`k'=allVarsatMeanBankSD_AID_`k'-allVarsatMean_AID_`k'
gen LaborSDAID_`k'=allVarsatMeanLaborSD_AID_`k'-allVarsatMean_AID_`k'
gen SkillSDAID_`k'=allVarsatMeanSkillSD_AID_`k'-allVarsatMean_AID_`k'
gen DistIdeoSDAID_`k'=allVarsatMeanDistIdeoSD_AID_`k'-allVarsatMean_AID_`k'
}

foreach k of numlist 0 3 4 7 11 {
foreach var of varlist BankSDAID_`k' LaborSDAID_`k' SkillSDAID_`k' DistIdeoSDAID_`k' {
sort `var'
replace `var'=`var'[_n-1] if `var'==. & `var'[_n-1]~=. 
}
}

keep BankSDAID* LaborSDAID* SkillSDAID* DistIdeoSDAID*
keep if _n==1
gen id=1
reshape long BankSDAID_ LaborSDAID_ SkillSDAID_ DistIdeoSDAID_, i(id) j(VoteType)
drop id
gen VoteType_temp=""
replace VoteType_temp="HighSalEconAid" if VoteType==0
replace VoteType_temp="FoodAid" if VoteType==3
replace VoteType_temp="LowSalEconAid" if VoteType==4
replace VoteType_temp="FinalPassageAid" if VoteType==7
replace VoteType_temp="MilitaryAid" if VoteType==11
drop VoteType
rename VoteType_temp VoteType
rename BankSDAID_ BankPAC
rename LaborSDAID_ LaborPAC
rename SkillSDAID_ HighSkill
rename DistIdeoSDAID_ DistrictIdeology
order VoteType

cd "R:\Milner\Milner\AID\AID vote paper\ReplicationFiles"
outsheet using "SubstImpact_AidCategories_Table3.csv", comma replace

restore



*marginal effects graphs (Table 4)


local iv1 highskillpcnt pcntForBorn avg_UnemployChange2yr  PrezVotePercRepub MktValAgProdII
local iv2 pcntForBorn avg_UnemployChange2yr  PrezVotePercRepub MktValAgProdII highskillpcnt 
local iv3 avg_UnemployChange2yr  PrezVotePercRepub MktValAgProdII highskillpcnt pcntForBorn 
local iv4 PrezVotePercRepub MktValAgProdII highskillpcnt pcntForBorn avg_UnemployChange2yr  
local iv5 MktValAgProdII highskillpcnt pcntForBorn avg_UnemployChange2yr  PrezVotePercRepub 
gen vartype=""
foreach k of numlist 0 3 4 7 11 {
gen b_`k'=.
gen v_`k'=.
gen r_`k'=.
forval  i=1/5 { 
local ivlist  `iv`i''
qui xi: xtprobit rc_vote `ivlist'  bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_    unemployedpcnt lnmdincm pcntBlack PrezSuppSamePty_new i.VoteID  if FECproblems~=1 & votetype==`k'  , pa robust
qui mfx2
mat b=e(mfx_b_dydx)
mat v=e(mfx_se_dydx)
local b`k'=b[1,1]
local v`k'=v[1,1]
replace b_`k'=b[1,1] if _n==`i'
replace v_`k'=v[1,1] if _n==`i' 
replace r_`k'=b_`k'/v_`k'  if _n==`i'
local newvar : word 1 of `ivlist'
replace vartype="`newvar'" if _n==`i'
}
}
keep r_* b_* v_* vartype
drop if vartype==""
reshape long  r_  b_ v_, i(vartype) j(vote)
gen up = b_+1.96*v_
gen low= b_-1.96*v_

gen AidType=.
replace AidType=1 if vote==0
replace AidType=2 if vote==4
replace AidType=3 if vote==7
replace AidType=4 if vote==3
replace AidType=5 if vote==11
label define AidType 1 "High Focus" 4 "FoodAid" 2 "Low Focus" 3 "FinalPass" 5 "Military"
label val AidType AidType

renvars b_ up low, prefix("ci_")
reshape long ci_ , i(AidType vartype) j(type) str

*keep   b_ up low  name vote type
rename type type2
rename vartype name

replace name="HighSkill" if name=="highskillpcnt"
replace name="ForBorn" if name=="pcntForBorn"
replace name="PrezVoteRepub" if name=="PrezVotePercRepub"
replace name="UnempChg_2yr" if name=="avg_UnemployChange2yr"

sort vote name ci
egen id=group(AidType)
gen graphtest =""
levelsof id, local(id)
local count: word count `id'
local graphall ""
summ AidType
local min=r(min)
local max=r(max)
foreach varname of newlist HighSkill ForBorn PrezVoteRepub UnempChg_2yr MktValAgProdII { 
local graphproperties1 "ylabel(`min'(1)`max', labsize(small) angle(45) valuelabel) ytitle("") xtitle(MargEffect, size(small)) msymbol(smplus smplus smplus) c(l) lcolor(black) xline(0) legend(off) mcolor(black) title(Marginal Effect `varname' Panel Model, size(small))"
local graphproperties2 "msymbol(smplus smplus smplus) c(l) lcolor(black) mcolor(black) "
*local controls1 "Variables in model: HighSkill PrezVoteRepub ForBorn UnemplChange"
*local controls2 "lnMdnIncm Union% Unemploy% %Black"

forval i=1/`count' {
if `i'==1 {
local graph`i' "scatter  AidType  ci_ if name=="`varname'" & id==`i', `graphproperties1' "
}
else {
local graph`i' = `" || scatter  AidType  ci_ if name=="`varname'" & id==`i',  `graphproperties2' "'
}
}
`graph1' `graph2' `graph3' `graph4' `graph5' `graph6' `graph7' `graph8' `graph9' `graph10'  `graph11' `graph12' `graph13' `graph14' `graph15' `graph16' `graph17' `graph18' `graph19' `graph20' `graph21' `graph22' `graph23' `graph24' `graph25' `graph26' `graph27' `graph28' `graph29' `graph30'  

graph save "`varname'_MargEffectsWCI.gph", replace

}

graph combine HighSkill_MargEffectsWCI.gph PrezVoteRepub_MargEffectsWCI.gph , imargin(tiny)
graph save SkillPrezVote_PanelModels.gph, replace

